#include "guess.h"
int find_number(int MAX) {
    int st, dr, mij;
    st = 1;
    dr = MAX + 1;
    while (dr - st > 1) {
        mij = (st + dr) / 2;
        if (smaller(mij)) {
            dr = mij;
        } else {
            st = mij;
        }
    }
    return st;
}

